Table of Contents

Class: IdentityWrapper | Twisted-0.17.4/twisted/spread/pb.py
--- | ---

I delegate most functionality to a identity.Identity.

Base Classes |
--- | ---
Referenceable

Methods |
--- | ---
__init__ _attached remote_attach
| __init__

    __init__ (
            self,
            broker,
            identity,
            )

Initialize, specifying an identity to wrap.

| _attached

    _attached (
            self,
            perspective,
            remoteRef,
            )

| remote_attach

    remote_attach (
            self,
            serviceName,
            perspectiveName,
            remoteRef,
            )

Attach the remote reference to a requested perspective.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0